root = true

[*]
charset = utf-8
indent_size = 2
indent_style = space
insert_final_newline = true

[*.{kt,kts}]
ij_kotlin_packages_to_use_import_on_demand = unset
ij_kotlin_name_count_to_use_star_import = 999
ij_kotlin_name_count_to_use_star_import_for_members = 999
ij_kotlin_allow_trailing_comma = true
ij_kotlin_allow_trailing_comma_on_call_site = true
ij_kotlin_code_style_defaults = KOTLIN_OFFICIAL